Bug 203224 - azureus fails to start giving a Bindexception:address in use
Summary: azureus fails to start giving a Bindexception:address in use
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: azureus   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-19 12:21 UTC by Demond James
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-11 21:35:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsof output (490.81 KB, text/plain)
2006-08-19 22:31 UTC, Demond James
no flags Details

Description Demond James 2006-08-19 12:21:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.6) Gecko/20060808 Fedora/1.5.0.6-3 Firefox/1.5.0.6 pango-text

Description of problem:
Using an updated rawhide system with the latest FE package of azureus I get no gui.  The azureus process is shown as loaded and sleeping.  Running in a terminal window give some debug info (listed below) then just hangs.

Version-Release number of selected component (if applicable):
azureus-2.4.0.3-0.20060730cvs_1.fc6

How reproducible:
Always


Steps to Reproduce:
Start azureus

Actual Results:


Expected Results:


Additional info:
DEBUG::Sat Aug 19 07:47:21 EDT 2006::com.aelitis.azureus.core.networkmanager.impl.tcp.VirtualBlockingServerChannelSelector::start::92:
    IncomingSocketChannelManager::start::293,IncomingSocketChannelManager::<init>::105,TCPNetworkManager::<init>::94,TCPNetworkManager::<clinit>::40,Class::initializeClass::-1,RandomUtils::generateRandomNetworkListenPort::81,ConfigurationChecker::checkConfiguration::224,ConfigurationManager::initialise::136,ConfigurationManager::getInstance::71,LoggerImpl::init::90,Logger::<clinit>::48,Class::initializeClass::-1,StartServer::<init>::76,Main::<init>::56,Main::main::162
java.net.BindException: Address already in use
   at gnu.java.net.PlainSocketImpl.bind(libgcj.so.7rh)
   at java.net.ServerSocket.bind(libgcj.so.7rh)
   at com.aelitis.azureus.core.networkmanager.impl.tcp.VirtualBlockingServerChannelSelector.start(VirtualBlockingServerChannelSelector.java:79)
   at com.aelitis.azureus.core.networkmanager.impl.tcp.IncomingSocketChannelManager.start(IncomingSocketChannelManager.java:293)
   at com.aelitis.azureus.core.networkmanager.impl.tcp.IncomingSocketChannelManager.<init>(IncomingSocketChannelManager.java:105)
   at com.aelitis.azureus.core.networkmanager.impl.tcp.TCPNetworkManager.<init>(TCPNetworkManager.java:94)
   at com.aelitis.azureus.core.networkmanager.impl.tcp.TCPNetworkManager.<clinit>(TCPNetworkManager.java:40)
   at java.lang.Class.initializeClass(libgcj.so.7rh)
   at org.gudy.azureus2.core3.util.RandomUtils.generateRandomNetworkListenPort(RandomUtils.java:81)
   at org.gudy.azureus2.core3.config.impl.ConfigurationChecker.checkConfiguration(ConfigurationChecker.java:224)
   at org.gudy.azureus2.core3.config.impl.ConfigurationManager.initialise(ConfigurationManager.java:136)
   at org.gudy.azureus2.core3.config.impl.ConfigurationManager.getInstance(ConfigurationManager.java:71)
   at org.gudy.azureus2.core3.logging.impl.LoggerImpl.init(LoggerImpl.java:90)
   at org.gudy.azureus2.core3.logging.Logger.<clinit>(Logger.java:48)
   at java.lang.Class.initializeClass(libgcj.so.7rh)
   at org.gudy.azureus2.ui.swt.StartServer.<init>(StartServer.java:76)
   at org.gudy.azureus2.ui.swt.Main.<init>(Main.java:56)
   at org.gudy.azureus2.ui.swt.Main.main(Main.java:162)
DEBUG::Sat Aug 19 07:47:21 EDT 2006::com.aelitis.azureus.core.networkmanager.impl.tcp.VirtualBlockingServerChannelSelector::start::93:
  java.net.BindException: Address already in use
   at gnu.java.net.PlainSocketImpl.bind(libgcj.so.7rh)
   at java.net.ServerSocket.bind(libgcj.so.7rh)
   at com.aelitis.azureus.core.networkmanager.impl.tcp.VirtualBlockingServerChannelSelector.start(VirtualBlockingServerChannelSelector.java:79)
   at com.aelitis.azureus.core.networkmanager.impl.tcp.IncomingSocketChannelManager.start(IncomingSocketChannelManager.java:293)
   at com.aelitis.azureus.core.networkmanager.impl.tcp.IncomingSocketChannelManager.<init>(IncomingSocketChannelManager.java:105)
   at com.aelitis.azureus.core.networkmanager.impl.tcp.TCPNetworkManager.<init>(TCPNetworkManager.java:94)
   at com.aelitis.azureus.core.networkmanager.impl.tcp.TCPNetworkManager.<clinit>(TCPNetworkManager.java:40)
   at java.lang.Class.initializeClass(libgcj.so.7rh)
   at org.gudy.azureus2.core3.util.RandomUtils.generateRandomNetworkListenPort(RandomUtils.java:81)
   at org.gudy.azureus2.core3.config.impl.ConfigurationChecker.checkConfiguration(ConfigurationChecker.java:224)
   at org.gudy.azureus2.core3.config.impl.ConfigurationManager.initialise(ConfigurationManager.java:136)
   at org.gudy.azureus2.core3.config.impl.ConfigurationManager.getInstance(ConfigurationManager.java:71)
   at org.gudy.azureus2.core3.logging.impl.LoggerImpl.init(LoggerImpl.java:90)
   at org.gudy.azureus2.core3.logging.Logger.<clinit>(Logger.java:48)
   at java.lang.Class.initializeClass(libgcj.so.7rh)
   at org.gudy.azureus2.ui.swt.StartServer.<init>(StartServer.java:76)
   at org.gudy.azureus2.ui.swt.Main.<init>(Main.java:56)
   at org.gudy.azureus2.ui.swt.Main.main(Main.java:162)

Comment 1 Anthony Green 2006-08-19 16:42:53 UTC
Thanks for the report.  I've not seen this before.

Could you please try....
 - rebooting your machine
 - deleting ~/.azureus
 - running azureus from the console and upload the output
 - when the process is sleeping, run "lsof" as root and upload the output

Thanks.

Comment 2 Demond James 2006-08-19 22:31:24 UTC
Created attachment 134518 [details]
lsof output

Comment 3 Demond James 2006-08-19 22:35:34 UTC
Ok, after rebooting the machine and deleting ~/.azureus I tried to run azureus
from the console.  I did not get any debug output this time but the gui still
did not show up.  I have attached the output of lsof (comment #2).  let me know
what else I can do to help.

Comment 4 Anthony Green 2007-11-11 21:35:50 UTC
This is a gcj bug.  F8 has IcedTea.  I don't think anybody plans on addressing
the underlying gcj issue now that we have IcedTea.  I'm going to close this with
WONTFIX.  Please run azureus with IcedTea.


Note You need to log in before you can comment on or make changes to this bug.